Loading...
Searching...
No Matches
masked.hpp File Reference

Extends a given alphabet with the mask alphabet. More...

`#include <seqan3/alphabet/composite/alphabet_tuple_base.hpp>`
`#include <seqan3/alphabet/mask/mask.hpp>`
`#include <seqan3/utility/char_operations/predicate.hpp>`
`#include <seqan3/utility/char_operations/transform.hpp>`
Include dependency graph for masked.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::masked< sequence_alphabet_t >
| Implementation of a masked composite, which extends a given alphabet with a mask. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Extends a given alphabet with the mask alphabet.

Author
  Joshua Kim <joshua.kim AT fu-berlin.de>

Hide me